Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp
Class PGPLiteralData

    java.lang.Object
      org.bouncycastle.openpgp.PGPLiteralData

    public class PGPLiteralData

extends java.lang.Object

class for processing literal data objects.

Field Summary
`static char` `BINARY`
`static java.lang.String` `CONSOLE` The special name indicating a "for your eyes only" packet.
`static java.util.Date` `NOW` The special time for a modification time of "now" or the present time.
`static char` `TEXT`
`static char` `UTF8`

Constructor Summary
`PGPLiteralData(BCPGInputStream pIn)`

Method Summary
`java.io.InputStream` `getDataStream()` Return the input stream representing the data stream
`java.lang.String` `getFileName()` Return the file name that's associated with the data stream.
`int` `getFormat()` Return the format of the data stream - BINARY or TEXT.
`java.io.InputStream` `getInputStream()` Return the raw input stream for the data stream.
`java.util.Date` `getModificationTime()` Return the modification time for the file.
`byte[]` `getRawFileName()` Return the file name as an unintrepreted byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINARY

    public static final char BINARY

See Also:
  Constant Field Values

### TEXT

    public static final char TEXT

See Also:
  Constant Field Values

### UTF8

    public static final char UTF8

See Also:
  Constant Field Values

### CONSOLE

    public static final java.lang.String CONSOLE

  The special name indicating a "for your eyes only" packet.

  See Also:
    Constant Field Values

### NOW

    public static final java.util.Date NOW

  The special time for a modification time of "now" or the present time.

Constructor Detail

### PGPLiteralData

    public PGPLiteralData(BCPGInputStream pIn)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getFormat

    public int getFormat()

  Return the format of the data stream - BINARY or TEXT.

  Returns:
    int

### getFileName

    public java.lang.String getFileName()

  Return the file name that's associated with the data stream.

  Returns:
    String

### getRawFileName

    public byte[] getRawFileName()

  Return the file name as an unintrepreted byte array.

### getModificationTime

    public java.util.Date getModificationTime()

  Return the modification time for the file.

  Returns:
    the modification time.

### getInputStream

    public java.io.InputStream getInputStream()

  Return the raw input stream for the data stream.

  Returns:
    InputStream

### getDataStream

    public java.io.InputStream getDataStream()

  Return the input stream representing the data stream

  Returns:
    InputStream

Bouncy Castle Cryptography Library 1.45